import {SlackChannels, HttpErrorOptions} from './types'

declare class OperationalError extends Error {
    constructor(message: string, data?: string, options?: {includeBody: boolean})
}

declare class NonOperationalError extends Error {
    constructor(message: string, data?: string, slackChannel?: SlackChannels, options?: {includeBody: boolean})
}

declare class HttpError extends OperationalError {
    constructor(message: string, statusCode: number, data?: string, options?: HttpErrorOptions)
}

export {
    OperationalError,
    NonOperationalError,
    HttpError
}