import * as ErrorTypes from './errorTypes';
import * as Handler from './handler';
import * as Middleware from './middleware';
import constants from './constants'

/**
 * @see {@link constants.errorLevels}
 */
type ErrorLevels = 'common' | 'critical' | 'fatal'

/**
 * @see {@link constants.slackChannels}
 */
type SlackChannels = 'alerts_dev' | 'alerts_critical' | 'alerts_mobileapp' | 
    'alerts_nodejobs' | 'alerts_sql' | 'alerts_warning' | 'alerts_web' | 'alerts_workflow' | 'alerts_mobilecomm'

/**Slack Error Options */
type SlackErrorOptions = {channel: SlackChannels, send: boolean}

/**Http Error Options */
type HttpErrorOptions = {includeBody: boolean, slack: SlackErrorOptions}





export {
    ErrorLevels,
    SlackChannels,
    SlackErrorOptions,
    HttpErrorOptions,
    ErrorTypes,
    Handler,
    Middleware
}